Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class EventSubProcessNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.CompositeNode
                      org.jbpm.workflow.core.node.CompositeContextNode
                          org.jbpm.workflow.core.node.EventSubProcessNode

All Implemented Interfaces:
  Serializable, Contextable, ContextContainer, ContextResolver, EventNodeInterface, Node, NodeContainer

    public class EventSubProcessNode

extends CompositeContextNode

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode
`CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`EventSubProcessNode()`

Method Summary
`boolean` | `acceptsEvent(String type, Object event)`
`void` | `addEvent(String event)`
`void` | `addTimer(Timer timer, DroolsAction action)`
`StartNode` | `findStartNode()`
`List<String>` | `getEvents()`
`boolean` | `isKeepActive()`
`void` | `setEvents(List<String> events)`
`void` | `setKeepActive(boolean triggerOnActivation)`

Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode
`addContext, getContext, getContexts, getDefaultContext, resolveContext, setDefaultContext`

Methods inherited from class org.jbpm.workflow.core.node.CompositeNode
`addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSubProcessNode

    public EventSubProcessNode()

Method Detail

### addEvent

    public void addEvent(String event)

### getEvents

    public List<String> getEvents()

### setEvents

    public void setEvents(List<String> events)

### isKeepActive

    public boolean isKeepActive()

### setKeepActive

    public void setKeepActive(boolean triggerOnActivation)

### findStartNode

    public StartNode findStartNode()

### addTimer

    public void addTimer(Timer timer,
                         DroolsAction action)

  Overrides:
    `addTimer` in class `StateBasedNode`

### acceptsEvent

    public boolean acceptsEvent(String type,
                                Object event)

  Specified by:
    `acceptsEvent` in interface `EventNodeInterface`
  Overrides:
    `acceptsEvent` in class `CompositeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.